# Dirac - A Video Codec

Created by the British Broadcasting Corporation.

Public Member Functions | Public Attributes | List of all members
dirac::MotionVector< T > Class Template Reference

Motion vector class - just a pair.

`#include <motion.h>`

## Public Member Functions
| MotionVector (T a, T b)
| Constructor. More...
| MotionVector ()
| Default construct - sets components to 0. More...
| MotionVector (T a)
| Constructor. More...
MotionVector< T > | operator+ (const MotionVector< T > &argument) const
| Addition. More...
MotionVector< T > | operator- (const MotionVector< T > &argument) const
| Subtraction. More...
MotionVector< T > | operator* (const float argument) const
| Scalar multiplication. More...
MotionVector< T > | operator* (const int argument) const
| Scalar multiplication. More...
MotionVector< T > | operator<< (const int argument) const
| Bitshift of each component. More...
MotionVector< T > | operator>> (const int argument) const
| Bitshift of each component. More...
T & | operator[] (const int pos)
| Array-style element access. More...
const T & | operator[] (const int pos) const
| Array-style element access. More...

## Public Attributes
T | x
| x and y components More...
T | y

## Constructor & Destructor Documentation

template<class T>

dirac::MotionVector< T >::MotionVector | ( | T | a,
|  | T | b
| ) |  |
| inline

template<class T>

dirac::MotionVector< T >::MotionVector | ( |  | ) |
| inline

template<class T>

dirac::MotionVector< T >::MotionVector | ( | T | a | ) |
| inline

## Member Function Documentation

template<class T >

MotionVector< T > dirac::MotionVector< T >::operator* | ( | const float | argument | ) | const
| inline

References dirac::MotionVector< T >::x, and dirac::MotionVector< T >::y.

template<class T >

MotionVector< T > dirac::MotionVector< T >::operator* | ( | const int | argument | ) | const
| inline

References dirac::MotionVector< T >::x, and dirac::MotionVector< T >::y.

template<class T>

MotionVector< T > dirac::MotionVector< T >::operator+ | ( | const MotionVector< T > & | argument | ) | const
| inline

References dirac::MotionVector< T >::x, and dirac::MotionVector< T >::y.

template<class T>

MotionVector< T > dirac::MotionVector< T >::operator- | ( | const MotionVector< T > & | argument | ) | const
| inline

References dirac::MotionVector< T >::x, and dirac::MotionVector< T >::y.

template<class T >

MotionVector< T > dirac::MotionVector< T >::operator<< | ( | const int | argument | ) | const
| inline

References dirac::MotionVector< T >::x, and dirac::MotionVector< T >::y.

template<class T >

MotionVector< T > dirac::MotionVector< T >::operator>> | ( | const int | argument | ) | const
| inline

References dirac::MotionVector< T >::x, and dirac::MotionVector< T >::y.

template<class T>

T& dirac::MotionVector< T >::operator[] | ( | const int | pos | ) |
| inline

template<class T>

const T& dirac::MotionVector< T >::operator[] | ( | const int | pos | ) | const
| inline

## Member Data Documentation

template<class T>

T dirac::MotionVector< T >::x

Referenced by dirac::Norm1(), dirac::Norm2(), dirac::MotionVector< T >::operator*(), dirac::MotionVector< T >::operator+(), dirac::MotionVector< T >::operator-(), dirac::MotionVector< T >::operator<<(), dirac::operator<<(), dirac::MotionVector< T >::operator>>(), dirac::operator>>(), and dirac::MotionVector< int >::operator[]().

template<class T>

T dirac::MotionVector< T >::y

Referenced by dirac::Norm1(), dirac::Norm2(), dirac::MotionVector< T >::operator*(), dirac::MotionVector< T >::operator+(), dirac::MotionVector< T >::operator-(), dirac::MotionVector< T >::operator<<(), dirac::MotionVector< T >::operator>>(), dirac::operator>>(), and dirac::MotionVector< int >::operator[]().

The documentation for this class was generated from the following file:

- motion.h

© 2004 British Broadcasting Corporation. Dirac code licensed under the Mozilla Public License (MPL) Version 1.1.
HTML documentation generated by Dimitri van Heesch's excellent Doxygen tool.